# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/realtek,rt5575.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ALC5575 audio CODEC

maintainers:
  - Oder Chiou <oder_chiou@realtek.com>

description:
  The device supports both I2C and SPI. I2C is mandatory, while SPI is
  optional depending on the hardware configuration. SPI is used for
  firmware loading if present.

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    const: realtek,rt5575

  reg:
    maxItems: 1

  spi-parent:
    description:
      Optional phandle reference to the SPI controller used for firmware
      loading. The argument specifies the chip select.
    $ref: /schemas/types.yaml#/definitions/phandle-array

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  # I2C-only node
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;
        codec@57 {
            compatible = "realtek,rt5575";
            reg = <0x57>;
        };
    };

  # I2C + optional SPI node
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;
        codec@57 {
            compatible = "realtek,rt5575";
            reg = <0x57>;
            spi-parent = <&spi0 0>; /* chip-select 0 */
        };
    };
